MonoMac 0.0.0.0 MonoMac.AppKit.NSResponder MonoMac.Foundation.Register("NSWindow", true) To be added. To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("init")
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Default constructor, initializes a new instance of this class.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithCoder:")
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  The unarchiver object.
  A constructor that initializes the object from the data stored in the unarchiver object.
  This constructor is provided to allow the class to be initialized from an unarchiver (for example, during NIB deserialization).
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Unused sentinel value, pass NSObjectFlag.Empty.
  Constructor to call on derived classes when the derived class has an [Export] constructor.

  This constructor should be called by derived classes when they are initialized using an [Export] attribute. The argument value is ignore, typically the chaining would look like this:

  public class MyClass : BaseClass { [Export ("initWithFoo:")] public MyClass (string foo) : base (NSObjectFlag.Empty) { ... }
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Pointer (handle) to the unmanaged object.
  A constructor used when creating managed representations of unmanaged objects; Called by the runtime.

  This constructor is invoked by the runtime infrastructure () to create a new managed representation for a pointer to an unmanaged Objective-C object. You should not invoke this method directly, instead you should call the GetNSObject method as it will prevent two instances of a managed object to point to the same native object.

- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithWindowRef:")
  Unused sentinel value, pass NSObjectFlag.Empty.
  To be added.
  Constructor to call on derived classes when the derived class has an [Export] constructor.

  This constructor should be called by derived classes when they are initialized using an [Export] attribute. The argument value is ignore, typically the chaining would look like this:

  public class MyClass : BaseClass { [Export ("initWithFoo:")] public MyClass (string foo) : base (NSObjectFlag.Empty) { ... }
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithContentRect:styleMask:backing:defer:")
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithContentRect:styleMask:backing:defer:screen:")
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("acceptsMouseMovedEvents")
  set: MonoMac.Foundation.Export("setAcceptsMouseMovedEvents:")
  System.Boolean To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("addChildWindow:ordered:")
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("allowsConcurrentViewDrawing")
  set: MonoMac.Foundation.Export("setAllowsConcurrentViewDrawing:")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("allowsToolTipsWhenApplicationIsInactive")
  set: MonoMac.Foundation.Export("setAllowsToolTipsWhenApplicationIsInactive:")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("alphaValue")
  set: MonoMac.Foundation.Export("setAlphaValue:")
  System.Single To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("animationBehavior")
  set: MonoMac.Foundation.Export("setAnimationBehavior:")
  MonoMac.AppKit.NSWindowAnimationBehavior To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("animationForKey:")
  MonoMac.Foundation.NSObject `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("animationResizeTime:")
  System.Double `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("animations")
  set: MonoMac.Foundation.Export("setAnimations:")
  MonoMac.Foundation.NSDictionary To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("animator")
  MonoMac.Foundation.NSObject To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("areCursorRectsEnabled")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("aspectRatio")
  set: MonoMac.Foundation.Export("setAspectRatio:")
  System.Drawing.SizeF To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("attachedSheet")
  MonoMac.AppKit.NSWindow To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isAutodisplay")
  set: MonoMac.Foundation.Export("setAutodisplay:")
  System.Boolean To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("autorecalculatesContentBorderThicknessForEdge:")
  System.Boolean `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("autorecalculatesKeyViewLoop")
  set: MonoMac.Foundation.Export("setAutorecalculatesKeyViewLoop:")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("backgroundColor")
  set: MonoMac.Foundation.Export("setBackgroundColor:")
  MonoMac.AppKit.NSColor To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("backingAlignedRect:options:")
  System.Drawing.RectangleF `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("backingLocation")
  MonoMac.AppKit.NSWindowBackingLocation To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("backingScaleFactor")
  System.Single To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("backingType")
  set: MonoMac.Foundation.Export("setBackingType:")
  MonoMac.AppKit.NSBackingStore To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("becomeKeyWindow")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("becomeMainWindow")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("cacheImageInRect:")
  System.Void `` To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("canBecomeKeyWindow")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("canBecomeMainWindow")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("canBecomeVisibleWithoutLogin")
  set: MonoMac.Foundation.Export("setCanBecomeVisibleWithoutLogin:")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("canHide")
  set: MonoMac.Foundation.Export("setCanHide:")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("canStoreColor")
  System.Boolean To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("cascadeTopLeftFromPoint:")
  System.Drawing.PointF `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("center")
  System.Void To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("childWindows")
  MonoMac.AppKit.NSWindow[] To be added. To be added. To be added.
- Property
  0.0.0.0
  System.IntPtr The handle for this class. The pointer to the Objective-C class. Each MonoMac class mirrors an unmanaged Objective-C class. This value contains the pointer to the Objective-C class, it is similar to calling objc_getClass with the object name.
- Method
  0.0.0.0
  System.Void To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("collectionBehavior")
  set: MonoMac.Foundation.Export("setCollectionBehavior:")
  MonoMac.AppKit.NSWindowCollectionBehavior To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("colorSpace")
  set: MonoMac.Foundation.Export("setColorSpace:")
  MonoMac.AppKit.NSColorSpace To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("constrainFrameRect:toScreen:")
  System.Drawing.RectangleF `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("contentAspectRatio")
  set: MonoMac.Foundation.Export("setContentAspectRatio:")
  System.Drawing.SizeF To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("contentBorderThicknessForEdge:")
  System.Single `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("contentMaxSize")
  set: MonoMac.Foundation.Export("setContentMaxSize:")
  System.Drawing.SizeF To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("contentMinSize")
  set: MonoMac.Foundation.Export("setContentMinSize:")
  System.Drawing.SizeF To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("contentRectForFrameRect:")
  System.Drawing.RectangleF `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("contentRectForFrameRect:styleMask:")
  System.Drawing.RectangleF `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("contentResizeIncrements")
  set: MonoMac.Foundation.Export("setContentResizeIncrements:")
  System.Drawing.SizeF To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("contentView")
  set: MonoMac.Foundation.Export("setContentView:")
  MonoMac.AppKit.NSView To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("convertBaseToScreen:")
  System.Drawing.PointF `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("convertRectFromBacking:")
  System.Drawing.RectangleF `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("convertRectFromScreen:")
  System.Drawing.RectangleF `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("convertRectToBacking:")
  System.Drawing.RectangleF `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("convertRectToScreen:")
  System.Drawing.RectangleF `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("convertScreenToBase:")
  System.Drawing.PointF `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("currentEvent")
  MonoMac.AppKit.NSEvent To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.AppKit.NSWindowWindows Delegate invoked by the object to get a value. To be added. You assign a function, delegate or anonymous method to this property to return a value to the object. If you assign a value to this property, it this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.AppKit.NSWindowWindows Delegate invoked by the object to get a value. To be added. You assign a function, delegate or anonymous method to this property to return a value to the object. If you assign a value to this property, it this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("dataWithEPSInsideRect:")
  MonoMac.Foundation.NSData `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("dataWithPDFInsideRect:")
  MonoMac.Foundation.NSData `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("deepestScreen")
  MonoMac.AppKit.NSScreen To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("defaultAnimationForKey:")
  MonoMac.Foundation.NSObject `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("defaultButtonCell")
  set: MonoMac.Foundation.Export("setDefaultButtonCell:")
  MonoMac.AppKit.NSButtonCell To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("defaultDepthLimit")
  MonoMac.AppKit.NSWindowDepth To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.AppKit.NSWindowDelegate An instance of the MonoMac.AppKit.NSWindowDelegate model class which acts as the class delegate.

  The instance of the MonoMac.AppKit.NSWindowDelegate model class

  This value can be .

  The delegate instance assigned to this object will be used to handle events or provide data on demand to this class.

  When setting the Delegate or WeakDelegate values events will be delivered to the specified instance instead of being delivered to the C#-style events

  This is the strongly typed version of the object, use the WeakDelegate property instead if you want to merely assign a class derived from NSObject that has been decorated with [Export] attributes.

- Method
  0.0.0.0
  MonoMac.Foundation.Export("deminiaturize:")
  System.Void `` To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("depthLimit")
  set: MonoMac.Foundation.Export("setDepthLimit:")
  MonoMac.AppKit.NSWindowDepth To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("deviceDescription")
  MonoMac.Foundation.NSDictionary To be added. To be added. To be added.
- Event
  0.0.0.0
  System.EventHandler Event raised by the object. If you assign a value to this event, this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for DidBecomeKey NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( NSWindow.DidBecomeKeyNotification, (notification) => {Console.WriteLine ("Received the notification NSWindow", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification NSWindow", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (NSWindow.DidBecomeKeyNotification, Callback); }`
- Event
  0.0.0.0
  System.EventHandler Event raised by the object. If you assign a value to this event, this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for DidBecomeMain NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( NSWindow.DidBecomeMainNotification, (notification) => {Console.WriteLine ("Received the notification NSWindow", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification NSWindow", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (NSWindow.DidBecomeMainNotification, Callback); }`
- Event
  0.0.0.0
  System.EventHandler Event raised by the object. If you assign a value to this event, this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for DidChangeScreen NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( NSWindow.DidChangeScreenNotification, (notification) => {Console.WriteLine ("Received the notification NSWindow", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification NSWindow", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (NSWindow.DidChangeScreenNotification, Callback); }`
- Event
  0.0.0.0
  System.EventHandler Event raised by the object. If you assign a value to this event, this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSWindowDidChangeScreenProfileNotification NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( NSWindow.DidChangeScreenProfileNotification, (notification) => {Console.WriteLine ("Received the notification NSWindow", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification NSWindow", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (NSWindow.DidChangeScreenProfileNotification, Callback); }`
- Event
  0.0.0.0
  System.EventHandler<MonoMac.AppKit.NSWindowCoderEventArgs> Event raised by the object. If you assign a value to this event, this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Event
  0.0.0.0
  System.EventHandler Event raised by the object. If you assign a value to this event, this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for DidDeminiaturize NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( NSWindow.DidDeminiaturizeNotification, (notification) => {Console.WriteLine ("Received the notification NSWindow", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification NSWindow", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (NSWindow.DidDeminiaturizeNotification, Callback); }`
- Event
  0.0.0.0
  System.EventHandler Event raised by the object. If you assign a value to this event, this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for DidEndLiveResize NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( NSWindow.DidEndLiveResizeNotification, (notification) => {Console.WriteLine ("Received the notification NSWindow", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification NSWindow", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (NSWindow.DidEndLiveResizeNotification, Callback); }`
- Event
  0.0.0.0
  System.EventHandler Event raised by the object. If you assign a value to this event, this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for DidEndSheet NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( NSWindow.DidEndSheetNotification, (notification) => {Console.WriteLine ("Received the notification NSWindow", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification NSWindow", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (NSWindow.DidEndSheetNotification, Callback); }`
- Event
  0.0.0.0
  System.EventHandler Event raised by the object. If you assign a value to this event, this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for DidEnterFullScreen NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( NSWindow.DidEnterFullScreenNotification, (notification) => {Console.WriteLine ("Received the notification NSWindow", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification NSWindow", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (NSWindow.DidEnterFullScreenNotification, Callback); }`
- Event
  0.0.0.0
  System.EventHandler Event raised by the object. If you assign a value to this event, this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for DidEnterVersionBrowser NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( NSWindow.DidEnterVersionBrowserNotification, (notification) => {Console.WriteLine ("Received the notification NSWindow", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification NSWindow", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (NSWindow.DidEnterVersionBrowserNotification, Callback); }`
- Event
  0.0.0.0
  System.EventHandler Event raised by the object. If you assign a value to this event, this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for DidExitFullScreen NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( NSWindow.DidExitFullScreenNotification, (notification) => {Console.WriteLine ("Received the notification NSWindow", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification NSWindow", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (NSWindow.DidExitFullScreenNotification, Callback); }`
- Event
  0.0.0.0
  System.EventHandler Event raised by the object. If you assign a value to this event, this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for DidExitVersionBrowser NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( NSWindow.DidExitVersionBrowserNotification, (notification) => {Console.WriteLine ("Received the notification NSWindow", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification NSWindow", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (NSWindow.DidExitVersionBrowserNotification, Callback); }`
- Event
  0.0.0.0
  System.EventHandler Event raised by the object. If you assign a value to this event, this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for DidExpose NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( NSWindow.DidExposeNotification, (notification) => {Console.WriteLine ("Received the notification NSWindow", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification NSWindow", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (NSWindow.DidExposeNotification, Callback); }`
- Event
  0.0.0.0
  System.EventHandler Event raised by the object. If you assign a value to this event, this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Event
  0.0.0.0
  System.EventHandler Event raised by the object. If you assign a value to this event, this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Event
  0.0.0.0
  System.EventHandler Event raised by the object. If you assign a value to this event, this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for DidMiniaturize NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( NSWindow.DidMiniaturizeNotification, (notification) => {Console.WriteLine ("Received the notification NSWindow", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification NSWindow", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (NSWindow.DidMiniaturizeNotification, Callback); }`
- Event
  0.0.0.0
  System.EventHandler Event raised by the object. If you assign a value to this event, this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for DidMove NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( NSWindow.DidMoveNotification, (notification) => {Console.WriteLine ("Received the notification NSWindow", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification NSWindow", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (NSWindow.DidMoveNotification, Callback); }`
- Event
  0.0.0.0
  System.EventHandler Event raised by the object. If you assign a value to this event, this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for DidResignKey NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( NSWindow.DidResignKeyNotification, (notification) => {Console.WriteLine ("Received the notification NSWindow", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification NSWindow", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (NSWindow.DidResignKeyNotification, Callback); }`
- Event
  0.0.0.0
  System.EventHandler Event raised by the object. If you assign a value to this event, this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for DidResignMain NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( NSWindow.DidResignMainNotification, (notification) => {Console.WriteLine ("Received the notification NSWindow", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification NSWindow", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (NSWindow.DidResignMainNotification, Callback); }`
- Event
  0.0.0.0
  System.EventHandler Event raised by the object. If you assign a value to this event, this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for DidResize NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( NSWindow.DidResizeNotification, (notification) => {Console.WriteLine ("Received the notification NSWindow", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification NSWindow", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (NSWindow.DidResizeNotification, Callback); }`
- Event
  0.0.0.0
  System.EventHandler Event raised by the object. If you assign a value to this event, this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for DidUpdate NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( NSWindow.DidUpdateNotification, (notification) => {Console.WriteLine ("Received the notification NSWindow", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification NSWindow", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (NSWindow.DidUpdateNotification, Callback); }`
- Method
  0.0.0.0
  MonoMac.Foundation.Export("disableCursorRects")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("disableFlushWindow")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("disableKeyEquivalentForDefaultButtonCell")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("disableScreenUpdatesUntilFlush")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("disableSnapshotRestoration")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("discardCachedImage")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("discardCursorRects")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("discardEventsMatchingMask:beforeEvent:")
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("display")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("displayIfNeeded")
  System.Void To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("displaysWhenScreenProfileChanges")
  set: MonoMac.Foundation.Export("setDisplaysWhenScreenProfileChanges:")
  System.Boolean To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void ``

  If set to , the method is invoked directly and will dispose manage and unmanaged resources; If set to the method is being called by the garbage collector finalizer and should only release unmanaged resources.

  Releases the resources used by the NSWindow object.

  This Dispose method releases the resources used by the NSWindow class.

  This method is called by both the Dispose() method and the object finalizer (Finalize). When invoked by the Dispose method, the parameter disposting is set to and any managed object references that this object holds are also disposed or released; when invoked by the object finalizer, on the finalizer thread the value is set to .

  Calling the Dispose method when you are finished using the NSWindow ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it.

  For more information on how to override this method and on the Dispose/IDisposable pattern, read the ``Implementing a Dispose Method'' document at http://msdn.microsoft.com/en-us/library/fs2xkftw.aspx

- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("dockTile")
  MonoMac.AppKit.NSDockTile To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isDocumentEdited")
  set: MonoMac.Foundation.Export("setDocumentEdited:")
  System.Boolean To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("enableCursorRects")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("enableFlushWindow")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("enableKeyEquivalentForDefaultButtonCell")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("enableSnapshotRestoration")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("endEditingFor:")
  System.Void `` To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isExcludedFromWindowsMenu")
  System.Boolean To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("fieldEditor:forObject:")
  MonoMac.AppKit.NSText `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("firstResponder")
  MonoMac.AppKit.NSResponder To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("flushWindow")
  System.Void To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isFlushWindowDisabled")
  System.Boolean To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("flushWindowIfNeeded")
  System.Void To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("frame")
  System.Drawing.RectangleF To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("frameAutosaveName")
  set: MonoMac.Foundation.Export("setFrameAutosaveName:")
  System.String To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("frameRectForContentRect:")
  System.Drawing.RectangleF `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("frameRectForContentRect:styleMask:")
  System.Drawing.RectangleF `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.AppKit.NSWindow `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("graphicsContext")
  MonoMac.AppKit.NSGraphicsContext To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("gState")
  System.Int32 To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("hasDynamicDepthLimit")
  set: MonoMac.Foundation.Export("setDynamicDepthLimit:")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("hasShadow")
  set: MonoMac.Foundation.Export("setHasShadow:")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("hidesOnDeactivate")
  set: MonoMac.Foundation.Export("setHidesOnDeactivate:")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("identifier")
  System.String To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("ignoresMouseEvents")
  set: MonoMac.Foundation.Export("setIgnoresMouseEvents:")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("initialFirstResponder")
  MonoMac.AppKit.NSView To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("inLiveResize")
  System.Boolean To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("invalidateCursorRectsForView:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("invalidateShadow")
  System.Void To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isKeyWindow")
  set: MonoMac.Foundation.Export("setIsKeyWindow:")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isMainWindow")
  set: MonoMac.Foundation.Export("setIsMainWindow:")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isMiniaturized")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isMovable")
  set: MonoMac.Foundation.Export("setMovable:")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isOnActiveSpace")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isOneShot")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isOpaque")
  set: MonoMac.Foundation.Export("setOpaque:")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isSheet")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isVisible")
  set: MonoMac.Foundation.Export("setIsVisible:")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isZoomed")
  System.Boolean To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("keyDown:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("keyViewSelectionDirection")
  MonoMac.AppKit.NSSelectionDirection To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("layoutIfNeeded")
  System.Void To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("level")
  set: MonoMac.Foundation.Export("setLevel:")
  MonoMac.AppKit.NSWindowLevel To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("makeFirstResponder:")
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("makeKeyAndOrderFront:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("makeKeyWindow")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("makeMainWindow")
  System.Void To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("maxSize")
  set: MonoMac.Foundation.Export("setMaxSize:")
  System.Drawing.SizeF To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("menuChanged:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("minFrameWidthWithTitle:styleMask:")
  System.Single `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("miniaturize:")
  System.Void `` To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("miniwindowImage")
  set: MonoMac.Foundation.Export("setMiniwindowImage:")
  MonoMac.AppKit.NSImage To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("miniwindowTitle")
  set: MonoMac.Foundation.Export("setMiniwindowTitle:")
  System.String To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("minSize")
  set: MonoMac.Foundation.Export("setMinSize:")
  System.Drawing.SizeF To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("mouseLocationOutsideOfEventStream")
  System.Drawing.PointF To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isMovableByWindowBackground")
  set: MonoMac.Foundation.Export("setMovableByWindowBackground:")
  System.Boolean To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("nextEventMatchingMask:")
  MonoMac.AppKit.NSEvent `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("nextEventMatchingMask:untilDate:inMode:dequeue:")
  MonoMac.AppKit.NSEvent `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("orderBack:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("orderFront:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("orderFrontRegardless")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("orderOut:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("orderWindow:relativeTo:")
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("parentWindow")
  set: MonoMac.Foundation.Export("setParentWindow:")
  MonoMac.AppKit.NSWindow To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("performClose:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("performMiniaturize:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("performZoom:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("postEvent:atStart:")
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("preferredBackingLocation")
  set: MonoMac.Foundation.Export("setPreferredBackingLocation:")
  MonoMac.AppKit.NSWindowBackingLocation To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("preservesContentDuringLiveResize")
  set: MonoMac.Foundation.Export("setPreservesContentDuringLiveResize:")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("preventsApplicationTerminationWhenModal")
  set: MonoMac.Foundation.Export("setPreventsApplicationTerminationWhenModal:")
  System.Boolean To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("print:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("recalculateKeyViewLoop")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("registerForDraggedTypes:")
  System.Void `` To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isReleasedWhenClosed")
  set: MonoMac.Foundation.Export("setReleasedWhenClosed:")
  System.Boolean To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("removeChildWindow:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("removeFrameUsingName:")
  System.Void `` To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("representedFilename")
  set: MonoMac.Foundation.Export("setRepresentedFilename:")
  System.String To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("representedURL")
  set: MonoMac.Foundation.Export("setRepresentedURL:")
  MonoMac.Foundation.NSUrl To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("resetCursorRects")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("resignKeyWindow")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("resignMainWindow")
  System.Void To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("resizeFlags")
  System.Int32 To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("resizeIncrements")
  set: MonoMac.Foundation.Export("setResizeIncrements:")
  System.Drawing.SizeF To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isRestorable")
  set: MonoMac.Foundation.Export("setRestorable:")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("restorationClass")
  set: MonoMac.Foundation.Export("setRestorationClass:")
  MonoMac.AppKit.NSWindowRestoration To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("restoreCachedImage")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("runToolbarCustomizationPalette:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("saveFrameUsingName:")
  System.Void `` To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("screen")
  MonoMac.AppKit.NSScreen To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("selectKeyViewFollowingView:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("selectKeyViewPrecedingView:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("selectNextKeyView:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("selectPreviousKeyView:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("sendEvent:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setAnchorAttribute:forOrientation:")
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setAutorecalculatesContentBorderThickness:forEdge:")
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setContentBorderThickness:forEdge:")
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setContentSize:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setExcludedFromWindowsMenu:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setFrame:display:")
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setFrame:display:animate:")
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setFrameFromString:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setFrameOrigin:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setFrameTopLeftPoint:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setFrameUsingName:")
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setFrameUsingName:force:")
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setOneShot:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setTitleWithRepresentedFilename:")
  System.Void `` To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("sharingType")
  set: MonoMac.Foundation.Export("setSharingType:")
  MonoMac.AppKit.NSWindowSharingType To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.AppKit.NSWindowDocumentDrag Delegate invoked by the object to get a value. To be added. You assign a function, delegate or anonymous method to this property to return a value to the object. If you assign a value to this property, it this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.AppKit.NSWindowMenu Delegate invoked by the object to get a value. To be added. You assign a function, delegate or anonymous method to this property to return a value to the object. If you assign a value to this property, it this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.AppKit.NSWindowFramePredicate Delegate invoked by the object to get a value. To be added. You assign a function, delegate or anonymous method to this property to return a value to the object. If you assign a value to this property, it this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("showsResizeIndicator")
  set: MonoMac.Foundation.Export("setShowsResizeIndicator:")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("showsToolbarButton")
  set: MonoMac.Foundation.Export("setShowsToolbarButton:")
  System.Boolean To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("standardWindowButton:")
  MonoMac.AppKit.NSButton `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("standardWindowButton:forStyleMask:")
  MonoMac.AppKit.NSButton `` `` To be added. To be added. To be added. To be added. To be added.
- Event
  0.0.0.0
  System.EventHandler<MonoMac.AppKit.NSWindowDurationEventArgs> Event raised by the object. If you assign a value to this event, this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Event
  0.0.0.0
  System.EventHandler<MonoMac.AppKit.NSWindowDurationEventArgs> Event raised by the object. If you assign a value to this event, this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("stringWithSavedFrame")
  System.String To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("styleMask")
  set: MonoMac.Foundation.Export("setStyleMask:")
  MonoMac.AppKit.NSWindowStyle To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("title")
  set: MonoMac.Foundation.Export("setTitle:")
  System.String To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("toggleFullScreen:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("toggleToolbarShown:")
  System.Void `` To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("toolbar")
  set: MonoMac.Foundation.Export("setToolbar:")
  MonoMac.AppKit.NSToolbar To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("tryToPerform:with:")
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("unregisterDraggedTypes")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("update")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("updateConstraintsIfNeeded")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("useOptimizedDrawing:")
  System.Void `` To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("userSpaceScaleFactor")
  System.Single To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("validRequestorForSendType:returnType:")
  MonoMac.Foundation.NSObject `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("viewsNeedDisplay")
  set: MonoMac.Foundation.Export("setViewsNeedDisplay:")
  System.Boolean To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("visualizeConstraints:")
  System.Void `` To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("delegate", MonoMac.ObjCRuntime.ArgumentSemantic.Assign)
  set: MonoMac.Foundation.Export("setDelegate:", MonoMac.ObjCRuntime.ArgumentSemantic.Assign)
  MonoMac.Foundation.NSObject An object that can respond to the delegate protocol for this type

  The instance that will respond to events and data requests.

  This value can be .

  The delegate instance assigned to this object will be used to handle events or provide data on demand to this class.

  When setting the Delegate or WeakDelegate values events will be delivered to the specified instance instead of being delivered to the C#-style events

  Methods must be decorated with the [Export ("selectorName")] attribute to respond to each method from the protocol. Alternatively use the Delegate method which is strongly typed and does not require the [Export] attributes on methods.

- Event
  0.0.0.0
  System.EventHandler Event raised by the object. If you assign a value to this event, this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for WillBeginSheet NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( NSWindow.WillBeginSheetNotification, (notification) => {Console.WriteLine ("Received the notification NSWindow", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification NSWindow", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (NSWindow.WillBeginSheetNotification, Callback); }`
- Event
  0.0.0.0
  System.EventHandler Event raised by the object. If you assign a value to this event, this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for WillClose NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( NSWindow.WillCloseNotification, (notification) => {Console.WriteLine ("Received the notification NSWindow", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification NSWindow", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (NSWindow.WillCloseNotification, Callback); }`
- Event
  0.0.0.0
  System.EventHandler<MonoMac.AppKit.NSWindowCoderEventArgs> Event raised by the object. If you assign a value to this event, this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Event
  0.0.0.0
  System.EventHandler Event raised by the object. If you assign a value to this event, this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for WillEnterFullScreen NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( NSWindow.WillEnterFullScreenNotification, (notification) => {Console.WriteLine ("Received the notification NSWindow", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification NSWindow", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (NSWindow.WillEnterFullScreenNotification, Callback); }`
- Event
  0.0.0.0
  System.EventHandler Event raised by the object. If you assign a value to this event, this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for WillEnterVersionBrowser NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( NSWindow.WillEnterVersionBrowserNotification, (notification) => {Console.WriteLine ("Received the notification NSWindow", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification NSWindow", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (NSWindow.WillEnterVersionBrowserNotification, Callback); }`
- Event
  0.0.0.0
  System.EventHandler Event raised by the object. If you assign a value to this event, this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for WillExitFullScreen NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( NSWindow.WillExitFullScreenNotification, (notification) => {Console.WriteLine ("Received the notification NSWindow", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification NSWindow", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (NSWindow.WillExitFullScreenNotification, Callback); }`
- Event
  0.0.0.0
  System.EventHandler Event raised by the object. If you assign a value to this event, this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for WillExitVersionBrowser NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( NSWindow.WillExitVersionBrowserNotification, (notification) => {Console.WriteLine ("Received the notification NSWindow", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification NSWindow", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (NSWindow.WillExitVersionBrowserNotification, Callback); }`
- Event
  0.0.0.0
  System.EventHandler Event raised by the object. If you assign a value to this event, this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for WillMiniaturize NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( NSWindow.WillMiniaturizeNotification, (notification) => {Console.WriteLine ("Received the notification NSWindow", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification NSWindow", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (NSWindow.WillMiniaturizeNotification, Callback); }`
- Event
  0.0.0.0
  System.EventHandler Event raised by the object. If you assign a value to this event, this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for WillMove NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( NSWindow.WillMoveNotification, (notification) => {Console.WriteLine ("Received the notification NSWindow", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification NSWindow", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (NSWindow.WillMoveNotification, Callback); }`
- Property
  0.0.0.0
  MonoMac.AppKit.NSWindowSheetRect Delegate invoked by the object to get a value. To be added. You assign a function, delegate or anonymous method to this property to return a value to the object. If you assign a value to this property, it this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.AppKit.NSWindowResize Delegate invoked by the object to get a value. To be added. You assign a function, delegate or anonymous method to this property to return a value to the object. If you assign a value to this property, it this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.AppKit.NSWindowSizeSize Delegate invoked by the object to get a value. To be added. You assign a function, delegate or anonymous method to this property to return a value to the object. If you assign a value to this property, it this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.AppKit.NSWindowClient Delegate invoked by the object to get a value. To be added. You assign a function, delegate or anonymous method to this property to return a value to the object. If you assign a value to this property, it this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.AppKit.NSWindowUndoManager Delegate invoked by the object to get a value. To be added. You assign a function, delegate or anonymous method to this property to return a value to the object. If you assign a value to this property, it this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Event
  0.0.0.0
  System.EventHandler Event raised by the object. If you assign a value to this event, this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for WillStartLiveResize NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( NSWindow.WillStartLiveResizeNotification, (notification) => {Console.WriteLine ("Received the notification NSWindow", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification NSWindow", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (NSWindow.WillStartLiveResizeNotification, Callback); }`
- Property
  0.0.0.0
  MonoMac.AppKit.NSWindowSize Delegate invoked by the object to get a value. To be added. You assign a function, delegate or anonymous method to this property to return a value to the object. If you assign a value to this property, it this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.AppKit.NSWindowApplicationPresentationOptions Delegate invoked by the object to get a value. To be added. You assign a function, delegate or anonymous method to this property to return a value to the object. If you assign a value to this property, it this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.AppKit.NSWindowFrame Delegate invoked by the object to get a value. To be added. You assign a function, delegate or anonymous method to this property to return a value to the object. If you assign a value to this property, it this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("windowController")
  set: MonoMac.Foundation.Export("setWindowController:")
  MonoMac.Foundation.NSObject To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("windowNumber")
  System.Int32 To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("windowNumberAtPoint:belowWindowWithWindowNumber:")
  System.Int32 `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("windowNumbersWithOptions:")
  MonoMac.Foundation.NSArray `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("windowRef")
  System.IntPtr To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.AppKit.NSObjectPredicate Delegate invoked by the object to get a value. To be added. You assign a function, delegate or anonymous method to this property to return a value to the object. If you assign a value to this property, it this will reset the value for the Delegate property to an internal handler that maps delegates to events.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("worksWhenModal")
  System.Boolean To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("zoom:")
  System.Void `` To be added. To be added. To be added.